Subject: American Abalone Federation

From: Jonathan Roy <[email-masked]>
Date: Fri, 31 Jul 1992 15:25:07 -0700

Has anyone out there joined the NA Abalone Federation (Or whatever the exact
name is..) If so, is there any sort of newsletter or magazine one gets? 
Just sort of curious... I'm not a member myself, obviously. 

Thanks.